- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists Instances in a given project and location.
HTTP request
GET https://mpc.googleapis.com/v1beta/{parent=projects/*/locations/*}/instances
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent value for ListInstancesRequest It takes the form |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
pageToken |
Optional. A token identifying a page of results the server should return. |
filter |
Optional. Filtering results |
orderBy |
Optional. Hint for how to order the results |
Request body
The request body must be empty.
Response body
Response message for listing Instances.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"instances": [
{
object ( |
| Fields | |
|---|---|
instances[] |
The list of Instance |
nextPageToken |
A token identifying a page of results the server should return. |
unreachable[] |
Unordered list. Locations that could not be reached. For example, if a request is fanned out to multiple locations and one is unavailable, it will be listed here. This list might expand in the future to include other resources. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.